Subject: Re: bug#15688: 24.3.50; clear-temporary-overlay-map

From: Richard Stallman <[email-masked]>
Date: Tue, 04 Mar 2014 16:55:18 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

I got more information about this bug.  The crash occurs when
mark_stack calls mark_memory.  pp is pointing at a stack slot
in Fgarbage_collect.  As far as I can tell by looking at the code
of Fgarbage_collect with x/i, that slot is never actually used -- it
contains junk left over from previous function calls.

I am surprised this unoptimized compilation makes a stack slot that is
not actually used.  Maybe it is used in some unobvious way.  It is
16(sp).

This suggests that the problem cannot be fixed by trying to prevent a
pointer to clear-temporary-map from being found and marked.

I wrote a change in the Lisp code to fix this problem,
then ran without it to get more info about the problem.
I think I should install that fix soon, but I can hold
off longer if you want.  Please respond.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.